Create operations
Create one or more operations based on the scope and objectives provided.
Currently available operation types: execute_microservice, delete_workspaces, shutdown_workspaces, and restart_workspaces.
Returns the created operation resources with the same canonical query contract by id.
Parameter compatibility for execute_microservice
payload.parameters only applies to PowerShell microservices executions in Windows and is only supported on devices with the new agent installed.
The values sent in payload.parameters are transmitted as text (string). The interpretation of types depends on the parameter definition and the parsing implemented in the microservice script.
For that context, recommended data types for parameters:
string,integer,double,decimal, anddatetime.- For
doubleanddecimal, use decimal point notation (.). - For
datetime, use ISO 8601 format (e.g.,2026-07-09T10:30:00Z). - When executed at the destination,
datetimevalues may be represented in local time. - Correct execution also depends on the quality and validations of the script.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
24^[0-9a-f]{24}$Body
Response
Operations created successfully.
1